Add url origins to the client application whitelist. The Initiate Login endpoint will reject non-whitelisted origins. Warning! This is a destructive operation. The allowed origins will be overwritten with the provided list. Use the Get Client Application endpoint to retrieve the current list of allowed origins.
Update Allowed Origins
post
/api/client-applications/{clientApplicationId}/update-origins Request
Path Parameters
clientApplicationIdstringrequiredId of the client application.
Body application/json
allowedOriginsstring[]The allowed origins for the client application. Minimum one origin is required.
Response
No content.
Request parameters are invalid.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequirederrorsobject[]Items
messagestringpathstringThe location of the invalid path param, query param or payload attribute.
Subject is not allowed to perform the action with the reason stated in the errorCode.
FORBIDDEN Resource does not exist or there are no sufficient permissions to perform the action.
Body application/json
statusCodeintegerrequiredstatusNamestringrequirederrorCodestringrequiredreasonstring